/*
 * $Id: Test5View.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/04/21
 */
package feat2.testapp.test5;

import feat2.CommandContext;
import feat2.View;
import feat2.config.ViewConfig;
import feat2.template.HTMLDocument;

public class Test5View implements View {

    private FormValues values;

    public HTMLDocument format(HTMLDocument template, ViewConfig cfg,
            CommandContext ctx) throws Exception {

        template.findElement("text").addText( values.getText() );
        template.findElement("filename").addText( values.getFile().getFileName() );
        template.findElement("filesize").addText( Long.toString(values.getFile().getSize()) );

        return template;
    }




    public FormValues getValues() {
        return values;
    }

    public void setValues(FormValues values) {
        this.values = values;
    }



}
